Package ghidra.features.bsim.gui.search.dialog

# Class BSimSearchDialog

java.lang.Object
docking.DialogComponentProvider
ghidra.features.bsim.gui.search.dialog.AbstractBSimSearchDialog
ghidra.features.bsim.gui.search.dialog.BSimSearchDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class BSimSearchDialog extends AbstractBSimSearchDialog
Dialog for initiating a BSim similar function match search.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.features.bsim.gui.search.dialog.AbstractBSimSearchDialog

  `AbstractBSimSearchDialog.BSimQueryTask`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<FunctionSymbol>`
  `selectedFunctions`

  ### Fields inherited from class ghidra.features.bsim.gui.search.dialog.AbstractBSimSearchDialog

  `confidenceField, searchService, serverCache, similarityField, tool`

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BSimSearchDialog(PluginTool tool, BSimSearchService service, BSimServerManager serverManager, Set<FunctionSymbol> functions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected JPanel`
  `buildCenterPanel()`
  `protected JPanel`
  `buildOptionsPanel()`
  `protected JPanel`
  `buildServerPanel()`
  `protected boolean`
  `canQuery()`
  `protected BSimSearchSettings`
  `getSearchSettings()`
  `protected void`
  `initializeSettings(BSimSearchSettings lastUsedSearchSettings)`
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `protected void`
  `setServerCache(BSimServerCache serverCache)`
  `protected void`
  `updateSearchFunctionsLabel()`

  ### Methods inherited from class ghidra.features.bsim.gui.search.dialog.AbstractBSimSearchDialog

  `createTitledPanel, dispose, getDatabaseInformation, getServer, setServer, updateSearchEnablement`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, close, closeDialog, createSharedActions, dialogClosed, dialogShown, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isDialogKeyBindingAction, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setAccessibleDescription, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### selectedFunctions

    protected Set<FunctionSymbol> selectedFunctions

- ## Constructor Details

  - ### BSimSearchDialog

    public BSimSearchDialog(PluginTool tool, BSimSearchService service, BSimServerManager serverManager, Set<FunctionSymbol> functions)

- ## Method Details

  - ### initializeSettings

    protected void initializeSettings(BSimSearchSettings lastUsedSearchSettings)
    Overrides:
      `initializeSettings` in class `AbstractBSimSearchDialog`

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`

  - ### setServerCache

    protected void setServerCache(BSimServerCache serverCache)
    Overrides:
      `setServerCache` in class `AbstractBSimSearchDialog`

  - ### updateSearchFunctionsLabel

    protected void updateSearchFunctionsLabel()

  - ### buildServerPanel

    protected JPanel buildServerPanel()
    Overrides:
      `buildServerPanel` in class `AbstractBSimSearchDialog`

  - ### buildCenterPanel

    protected JPanel buildCenterPanel()
    Overrides:
      `buildCenterPanel` in class `AbstractBSimSearchDialog`

  - ### canQuery

    protected boolean canQuery()
    Overrides:
      `canQuery` in class `AbstractBSimSearchDialog`

  - ### buildOptionsPanel

    protected JPanel buildOptionsPanel()
    Overrides:
      `buildOptionsPanel` in class `AbstractBSimSearchDialog`

  - ### getSearchSettings

    protected BSimSearchSettings getSearchSettings()